#!/usr/bin/env python
"""Django's command-line utility for administrative tasks."""
##
# @mainpage Coursebook as the name suggests is like an open online book which is accessible to both students as well as professors. Coursebook is an online discussion forum between professors and students. Coursebook also facilitates the professor to float courses which he/she will be offering to instruct. Students after successfully logging in, are able to view the registered subjects as well as the subjects currently offered by different professors. A student can request the respective professor of course of his choice to join the discussion forum for that subject. The student will be added to the discussion forum of that subject after acceptance by the professor. A student can add new topic to the discussion with the option to include the professor in that topic or not. After adding a topic all the students registered in that course will be able to participate in discussion. Professor can also add topics which will be accessible for students registered for that course. Each message is associated with two options of agree or disagree. This options are useful for consensus among students.
##
import os
import sys

##
# @breif This is driver function
##
def main():
    os.environ.setdefault('DJANGO_SETTINGS_MODULE', 'coursebook.settings')
    try:
        from django.core.management import execute_from_command_line
    except ImportError as exc:
        raise ImportError(
            "Couldn't import Django. Are you sure it's installed and "
            "available on your PYTHONPATH environment variable? Did you "
            "forget to activate a virtual environment?"
        ) from exc
    execute_from_command_line(sys.argv)


if __name__ == '__main__':
    main()
